# SSObaseApp - fork it and build your own app

nodeJS web app using auth.rxbn.de SSO Service to authenticate and authorize users

# start app
## normal start
```sh
$ SSO_URL=https://domain.tld/path DB_URL=mongodb://user:pass@ip:port/authdb DB_NAME=authRxbn node app.js
```
## debug start (with debug output/logs)
```sh
$ DB_URL=mongodb://user:pass@ip:port/authdb DB_NAME=authRxbn NODE_ENV=debug node app.js
```

# TODO
| title | description | - |
| ----- | ----------- | --- |
| database options | mongodb, memcache | - |
| fallback cache | in-app cache as fallback | - |
| modules | database, authentication, etc. pp. | - |
| web service | GUI | - |


# Upgrade your app
- add upstream
- pull
- merge

# version numbering
F.B.A@C
F: final version
B: beta version
A: alpha version
C: @git commit

examples:
* 0.24.56@40c3d0f160
* 1.33.187@4ff0082ce4
